# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name blaze-html

%global common_summary Fast HTML combinator library for Haskell

%global common_description BlazeHtml is a blazingly fast HTML combinator library for\
the Haskell programming language. It embeds HTML templates in Haskell code\
for optimal efficiency and composability.\
The project is aimed at those who seek to write web applications in Haskell\
 — it integrates well with all Haskell web frameworks.

Name:           ghc-%{pkg_name}
Version:        0.4.1.4
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-blaze-builder-prof
BuildRequires:  ghc-text-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Fri Jan 20 2012 Jens Petersen <petersen@redhat.com> - 0.4.1.4-2
- update to cabal2spec-0.25.2

* Sat Jun 18 2011 Jens Petersen <petersen@redhat.com> - 0.4.1.4-1
- update to 0.4.1.4

* Wed Jun 15 2011 Jens Petersen <petersen@redhat.com> - 0.4.1.3-1
- update to 0.4.1.3
- cabal2spec-0.23

* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.4.1.1-1
- update to 0.4.1.1
- cabal2spec-0.22.6

* Sat Mar 26 2011 Jens Petersen <petersen@redhat.com> - 0.4.1.0-1
- BSD license
- depends on ghc-text and ghc-blaze-builder

* Sat Mar 26 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.5
